cURL
curl -X GET \
/open-banking-accounts \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/open-banking-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/open-banking-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/open-banking-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b",
"alias": "My Bank Account",
"bankName": "My Bank",
"iban": "DE1234567*********5678",
"status": "linked",
"provider": "klarna",
"createdAt": "2021-01-01T00:00:00+00:00",
"validUntil": "2021-01-01T00:00:00+00:00",
"lastAccessedAt": "2021-01-01T00:00:00+00:00",
"lastInformedAt": "2021-01-01T00:00:00+00:00"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Open Banking
Get connected open banking accounts
Get all connected open banking accounts, which allows to access transactions, balances and other information
Required permissions:open-banking-account:readGET
/
open-banking-accounts
cURL
curl -X GET \
/open-banking-accounts \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/open-banking-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/open-banking-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/open-banking-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b",
"alias": "My Bank Account",
"bankName": "My Bank",
"iban": "DE1234567*********5678",
"status": "linked",
"provider": "klarna",
"createdAt": "2021-01-01T00:00:00+00:00",
"validUntil": "2021-01-01T00:00:00+00:00",
"lastAccessedAt": "2021-01-01T00:00:00+00:00",
"lastInformedAt": "2021-01-01T00:00:00+00:00"
}
],
"meta": {
"pagination": {
"totalItems": 123,
"itemsPerPage": 123,
"currentPage": 123,
"lastPage": 123,
"pageTotalItems": 123
}
}
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Abfrageparameter
The collection page number
The number of items per page
Erforderlicher Bereich:
0 <= x <= 100War diese Seite hilfreich?